;;;; config.scm -- variables defined at configure time
;;; Copyright © 2003 Dale Mellor <dale_mellor@users.sourceforge.net>
;;; Copyright © 2015, 2016 Mathieu Lirzin <mthl@gnu.org>
;;;
;;; This file is part of GNU Mcron.
;;;
;;; GNU Mcron is free software: you can redistribute it and/or modify
;;; it under the terms of the GNU General Public License as published by
;;; the Free Software Foundation, either version 3 of the License, or
;;; (at your option) any later version.
;;;
;;; GNU Mcron is distributed in the hope that it will be useful,
;;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;; GNU General Public License for more details.
;;;
;;; You should have received a copy of the GNU General Public License
;;; along with GNU Mcron.  If not, see <http://www.gnu.org/licenses/>.

(define-module (mcron config))

(define-public config-package-name "GNU Mcron")
(define-public config-package-version "1.1.1")
(define-public config-package-string "GNU Mcron 1.1.1")
(define-public config-package-bugreport "bug-mcron@gnu.org")
(define-public config-package-url "http://www.gnu.org/software/mcron/")
(define-public config-sendmail "/usr/sbin/sendmail -FCronDaemon -odi -oem")

(define-public config-spool-dir "/var/cron/tabs")
(define-public config-socket-file "/var/cron/socket")
(define-public config-allow-file "/var/cron/allow")
(define-public config-deny-file "/var/cron/deny")
(define-public config-pid-file "/var/run/cron.pid")
(define-public config-tmp-dir "/tmp")

;;;
;;; Runtime configuration
;;;

(define-public config-debug
  ;; Trigger the display of Guile stack traces on errors.
  (getenv "MCRON_DEBUG"))
